Skip to main content

Get an applicant by ID

GEThttps://api.propexo.com/v1/applicants/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GetResidentListInfoResident Management
    Example: 3301842
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    GetResidentListInfoResident Management
    Example: 4829103
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    MethodInterface
    GetResidentListInfoResident Management
    x_lease_idnullrequireddeprecated

    DEPRECATED: Not in use.

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    x_lead_idnullrequired

    The external ID of the lead from the integration vendor

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the applicant is interested in

    MethodInterface
    GetResidentListInfoResident Management
    Example: ["123","456"]
    address_1_alternatenullrequired

    The first alternate address line associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: 1842 Maple Ridge Drive
    address_2_alternatenullrequired

    The second alternate address line associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    address_2string | nullnullablerequired

    The second address line associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: Apt 204
    applications object[]required

    Applications that the applicant has submitted

  • Array [
  • applicant_idstringrequired
    MethodInterface
    GetResidentListInfoResident Management
    Example: cm0rpx0002exampleid000001
    application_idstringrequired
    MethodInterface
    GetResidentListInfoResident Management
    Example: cm0rpx0003exampleid000001
    statusnulldeprecated

    DEPRECATED. Use status_raw or status_normalized

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    status_rawstring | nullnullable

    The raw status associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: Applicant
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    MethodInterface
    GetResidentListInfoResident Management
    Example: PENDING
    Show 2 variants
    • stringAPPROVEDDENIEDCANCELEDOTHERPENDING
    • string
    custom_data object | null
    object
  • ]
  • city_alternatenullrequired

    The alternate city associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    citystring | nullnullablerequired

    The city associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: Austin
    country_alternatenullrequired

    The alternate country associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    countrystring | nullnullablerequired

    The country associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: 1992-04-18T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    email_2nullrequired

    The secondary email address associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: Jordan
    self_reported_income object[]

    Self reported income sources for the applicant

    Notice

    This field is not currently hydrated for REALPAGE_RPX

  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    Example: 325000
    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    type_normalizednullrequired

    The type of income of the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    type_rawnullrequired

    The type of income of the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: Hale
    middle_namenullrequired

    The middle name associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    notesnullrequired

    Notes associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    MethodInterface
    GetResidentListInfoResident Management
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: 5550142183
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    MethodInterface
    GetResidentListInfoResident Management
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: 5550142184
    state_alternatenullrequired

    The alternate state associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    statestring | nullnullablerequired

    The state associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: TX
    type_normalizednullrequired

    The normalized type associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    type_rawnullrequired

    The raw type associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    zip_alternatenullrequired

    The alternate zip code associated with the applicant

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the applicant

    MethodInterface
    GetResidentListInfoResident Management
    Example: 78704
    pets object[]required
    Notice

    This field is not currently hydrated for REALPAGE_RPX

  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    breedstring | nullnullablerequired

    The breed of the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    colorstring | nullnullablerequired

    The color of the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_declawedboolean | nullnullablerequired

    Whether the applicant pet is declawed

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_fixedboolean | nullnullablerequired

    Whether the applicant pet is fixed

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_service_animalboolean | nullnullablerequired

    Whether the applicant pet is a service animal

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_trainedboolean | nullnullablerequired

    Whether the applicant pet is trained

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_vaccinatedboolean | nullnullablerequired

    Whether the applicant pet is vaccinated

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    namestring | nullnullablerequired

    The name associated with the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    notesstring | nullnullablerequired

    Notes associated with the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    typestring | nullnullablerequired

    The type associated with the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum20required

    The property management system of record

    Show 13 enum values
    REALPAGE_RPXAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGERENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE_RPX
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the applicant is interested in

    MethodInterface
    GetResidentListInfoResident Management
    Example: ["testintegration:123:123","testintegration:456:456"]
    screenings object[]required
  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    ProspectSearchProspect Management
    GetResidentListInfoResident Management
    Example: c5ca182e295028100d8abbcb1183197eb9455230b5fa78f4b03bc68199c0e17b
    status_rawstring | nullnullablerequired

    The status/results of the screening

    MethodInterface
    ProspectSearchProspect Management
    GetResidentListInfoResident Management
    Example: Not screened
    screening_datenullrequired

    The date the screening took place

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "3301842",
"x_property_id": "4829103",
"x_lead_id": null,
"x_unit_id_preferred": [
"123",
"456"
],
"address_1_alternate": null,
"address_1": "1842 Maple Ridge Drive",
"address_2_alternate": null,
"address_2": "Apt 204",
"applications": [
{
"applicant_id": "cm0rpx0002exampleid000001",
"application_id": "cm0rpx0003exampleid000001",
"status_raw": "Applicant",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": null,
"city": "Austin",
"country_alternate": null,
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-04-18T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jordan",
"self_reported_income": [
{
"amount_in_cents": 325000,
"amount_raw": "string",
"type_normalized": null,
"type_raw": null
}
],
"last_name": "Hale",
"middle_name": null,
"notes": null,
"phone_1_type": "MOBILE",
"phone_1": "5550142183",
"phone_2_type": "HOME",
"phone_2": "5550142184",
"state_alternate": null,
"state": "TX",
"type_normalized": null,
"type_raw": null,
"zip_alternate": null,
"zip": "78704",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_declawed": true,
"is_fixed": true,
"is_service_animal": true,
"is_trained": true,
"is_vaccinated": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE_RPX",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id_preferred": [
"testintegration:123:123",
"testintegration:456:456"
],
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "c5ca182e295028100d8abbcb1183197eb9455230b5fa78f4b03bc68199c0e17b",
"status_raw": "Not screened",
"screening_date": null
}
]
}
}